Rapid7 Vulnerability & Exploit Database

MFSA2008-52 Firefox: Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18) (CVE-2008-5017)

Back to Search

MFSA2008-52 Firefox: Crashes with evidence of memory corruption (rv:1.9.0.4/1.8.1.18) (CVE-2008-5017)

Severity
10
CVSS
(AV:N/AC:L/Au:N/C:C/I:C/A:C)
Published
11/13/2008
Created
07/25/2018
Added
06/14/2012
Modified
02/13/2015

Description

Integer overflow in xpcom/io/nsEscape.cpp in the browser engine in Mozilla Firefox 3.x before 3.0.4, Firefox 2.x before 2.0.0.18, Thunderbird 2.x before 2.0.0.18, and SeaMonkey 1.x before 1.1.13 allows remote attackers to cause a denial of service (crash) via unknown vectors.

Solution(s)

  • mozilla-firefox-upgrade-2_0_0_18
  • mozilla-firefox-upgrade-3_0_4

With Rapid7 live dashboards, I have a clear view of all the assets on my network, which ones can be exploited, and what I need to do in order to reduce the risk in my environment in real-time. No other tool gives us that kind of value and insight.

– Scott Cheney, Manager of Information Security, Sierra View Medical Center

;